xmonad-contrib-0.10: Third party extensions for xmonad

Portability | unportable
Stability | unstable
Maintainer | Andres Salomon <dilinger@collabora.co.uk>

XMonad.Util.Cursor

Contents

- Usage:

Description

A module for setting the default mouse cursor.

Some ideas shamelessly stolen from Nils Schweinsberg; thanks!

Synopsis

- module Graphics.X11.Xlib.Cursor
- setDefaultCursor :: Glyph -> X ()

# Usage:

       setDefaultCursor xC_left_ptr

For example, to override the default gnome cursor:

       import XMonad.Util.Cursor
       main = xmonad gnomeConfig { startupHook = setDefaultCursor xC_pirate }

Arrr!

module Graphics.X11.Xlib.Cursor

setDefaultCursor :: Glyph -> X ()

Set the default (root) cursor